Search forum threads
Search AniList forum threads by words.
GET https://cotlet.dev/api/v1/anilist/forum-threads
read
Returns thread ID, title, author, reply count and the date of the last reply, newest activity first. Use the ID with post_thread_comment. It changes nothing.
Parameters
| Name | Type | Description |
|---|---|---|
| search string required | string | Words to look for in thread titles. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl "https://cotlet.dev/api/v1/anilist/forum-threads?search=search" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("anilist", "list_forum_threads", {"search":"search"}) const result = await cotlet.call('anilist', 'list_forum_threads', {"search":"search"}); cotlet call anilist list_forum_threads --data '{"search":"search"}' Example response
{
"items": [
{
"thread_id": 31337,
"title": "Frieren episode 28 discussion",
"author": "friend42",
"replies": 214,
"last_reply": "2026-10-16"
}
],
"next_cursor": null
}